/* IMPORT RESET ================================================== */
@import url("sanitize.css");

/* WEB FONT ====================================================== */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&display=swap');
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css");

/* 変数設定 ======================================================== */

/* 共通のサイズや色を変数で設定 */
:root {
	/* コンテンツの最大幅 */
	--contents-wide: 980px;
	/* flexboxの子要素の間隔 */
	--spacing: 20px;
	/* 文字サイズ */
	--small: 1.2rem;/*75%*/
	--medium: 1.6rem;/*100%*/
	--large: 2rem;/*125%*/
	--x-large: 2.4rem;/*150%*/
	/* 色 */
	--red: #cc0000;
	--blue: #003399;
	--mallcolor: #b60081;
}

/* STYLES ======================================================== */

/* ルートのフォントサイズを10pxに設定（1rem=10px）*/
html {
	font-size: 62.5%;
}

/* bodyのフォントサイズはfont-m（16px=1.6rem）と同じ */
body {
	font-size: var(--medium);
}

/* MEMO ++++++++++++++++++++++++++++++++
フォントサイズはremで指定すること
（例）10pxは1rem、12pxは1.2rem
+++++++++++++++++++++++++++++++++++++ */

.font-s {
	font-size: var(--small);
}

.font-m {
	font-size: var(--medium);
}

.font-l {
	font-size: var(--large);
}

.font-xl {
	font-size: var(--x-large);
}

/* 文字色 */
.font-red {
	color: var(--red);
}

.font-blue {
	color: var(--blue);
}

.font-mcolor {
	color: var(--mallcolor);
}


* {
	box-sizing: border-box;
}

body {
	font-family: "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "Yu Gothic", "Meiryo", sans-serif;
	margin: 0;
	padding: 0;
	background-color: #3aa4d1;
}

:is(header, main) {
  margin: 0 auto;
  max-width: var(--contents-wide);

	@media (max-width: 1000px) {
		/* mainのmax-widthよりウィンドウ幅が狭くなった時にコンテンツとウィンドウが接しないように設定
		@mediaのmax-widthと下記paddingはサイトコンテンツのmax-widthに合わせて調整 */
		padding: 10px;
	}
}

footer{
	text-align: center;
	font-size: var(--small);
	color: #fff;
	padding-bottom: 1em;
}

article{
	background-color: #ffffff;
	width: 100%;
	max-width: 940px;
	margin: 0 auto;
	padding: 0 20px;
 	section{
		margin-top: 2em;
		color: #333;
		a{
			color: #3446b4;
		}
		@media (max-width: 768px) {
			padding: 10px;
		}
		h2 {
			background: #25A137;
			box-shadow: 0px 0px 0px 5px #25A137;
			border: dashed 2px #fff;
			padding: 0.2em 0.5em;
			color: #fff;
			font-size: var(--large);
			text-align: center;
		}
		h3{
			font-size: var(--medium);
			color: #fff;
			font-weight:normal;
			background-color:#c00;
			border-radius:5px;
			text-align:center;
		}
		
		ul{
			padding-left: 1em;
		}
		
		.inquiry{
			background-color: #f6eeb5;
			padding: 3px 10px;
			h3{
				margin: 0;
				border: none;
				color: #93712a;
				&:after{
					border: none;
				}
			}
			p{
				margin: 0;
			}
			& +p.note{
				margin-top: 1em;
			}
		}
	}
}

a.link{
	color: #1091c7;
	text-decoration: none;
	span{
		background-color: #1091c7;
		color: #fff;
		font-size: var(--small);
		padding: 2px 5px;
		margin-right: 0.5em;
		border-radius: 3px;
	}
	&:hover{
		text-decoration: underline;
	}
}

a.link-app{
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	width:17em;
	background-color: var(--mallcolor);
	color: #fff;
	border-radius: 3px;
	padding: 2px 5px;
	text-decoration: none;
	
	&::after{
		position: absolute;
		right: 10px;
		margin: auto;
		vertical-align: middle;
		font-family: "Font Awesome 6 Free";
		content: "\f054";
		font-weight: 900;
	}
}

img {
	/* 画像は基本的に横幅100%表示、高さは横幅に合わせて自動調整
	小さい画像を使用する際は個別にmax-widthを設定する */
	width: 100%;
	height: auto;
	vertical-align: bottom;
	image-rendering: -webkit-optimize-contrast;
	image-rendering: crisp-edges;
}

/* Flexbox ────────────────────────────────────────────────────────────
子要素の間隔はgapで指定。
*/

.flexbox {
	display: flex;
	flex-wrap: wrap;
	margin-bottom: var(--spacing);
	gap: var(--spacing);
	
}

/* 子要素のボックスを等分配置 */

/* PC・スマホ共に2分割 */
.flexbox.box2 {
	> * {
		width: calc((100% - var(--spacing)) / 2);
	}
}

/* PC2列、スマホ1列 */
.flexbox.box2-1 {
	> * {
		width: 100%;
	}
	@media (min-width: 768px){
	/* PCのみ適用 */
		> * {
			width: calc((100% - var(--spacing)) / 2); 
		}
	}
}

/* PC3列、スマホ1列 */
.flexbox.box3-1 {
	> * {
		width: 100%;
	}
	@media (min-width: 768px){
		> * {
			width: calc((100% - var(--spacing) * 2) / 3); 
		}
	}
}

/* PC3列、スマホ2列 */
.flexbox.box3-2 {
	> * {
		width: calc((100% - var(--spacing)) / 2); 
	}
	@media (min-width: 768px){
		/* PCのみ適用 */
		> * {
			width: calc((100% - var(--spacing) * 2) / 3); 
		}
	}
}

/* PC4列、スマホ2列 */
.flexbox.box4-2 {
	> * {
		width: calc((100% - var(--spacing)) / 2); 
	}
	@media (min-width: 768px){
		/* PCのみ適用 */
		> * {
			width: calc((100% - var(--spacing) * 3) / 4); 
		}
	}
}

/* 子要素のボックスサイズの個別指定
スマホで縦に並べる場合は親要素をclass="flexbox spCancel"とする */
.flexbox {
	.box25 {
		width: calc((100% - var(--spacing)) * 1 / 4);
	}
	.box75 {
		width: calc((100% - var(--spacing)) * 3 / 4);
	}
	
	.box30 {
		width: calc((100% - var(--spacing)) * 3 / 10);
	}
	.box70 {
		width: calc((100% - var(--spacing)) * 7 / 10);
	}
	
	.box40 {
		width: calc((100% - var(--spacing)) * 4 / 10);
	}
	.box60 {
		width: calc((100% - var(--spacing)) * 6 / 10);
	}
	@media (max-width: 768px) {
		/* スマホでは1列に並べる場合 */
		&.spCancel > * {
			width: 100%;
		}
	}
}

/* ページトップスクロール ────────────────────────────────────────────────── */
#page-top {
	position: fixed;
	right: 10px;
	bottom: 10px;
	z-index: 10;
}

.top-btn {
	display: block;
	background: #003366;
	color: #fff;
	width: 50px;
	height: 50px;
	text-align: center;
	box-shadow: 0 0 0 3px #003366;/* ボタンの背景色に合わせる */
	border: 1px solid #fff;
	text-decoration: none;
	
	/*マウスオーバーした時*/
	@media (hover: hover) {
		/* hover指定できるPCを想定したスタイル */
		&:hover {
			background: #336699;
			box-shadow: 0 0 0 3px #336699;/* ボタンの背景色に合わせる */
		}
	}
	@media (hover: none) {
		/* hoverが使えないタッチ端末を想定した装飾 */
		&:active {
			background: #336699;
			box-shadow: 0 0 0 3px #336699;/* ボタンの背景色に合わせる */
		}
	}
	
	i {
		padding-top: 5px;
		font-size: var(--large);
		display: block;
	}
	span {
		display: block;
		font-size: var(--small);
		margin-top: -2px;
	}
}

/* ▲ページトップスクロールここまで▲ */

/* スマホなど幅が足りなくなったらspanで囲った単位で強制改行
   spanで囲まれている文章は自動改行がされなくなるので要注意 */
.sp-br span {
  display: inline-block;
  white-space: nowrap;
}